org.springframework.web.util

## Class AbstractUriTemplateHandler

- java.lang.Object
- - org.springframework.web.util.AbstractUriTemplateHandler

- All Implemented Interfaces:
    UriTemplateHandler
  Direct Known Subclasses:
    DefaultUriTemplateHandler

  Deprecated.
  as of 5.0 in favor of `DefaultUriBuilderFactory`

      @Deprecated
      public abstract class AbstractUriTemplateHandler
      extends Object
      implements UriTemplateHandler

  Abstract base class for `UriTemplateHandler` implementations.

  Support `setBaseUrl(java.lang.String)` and `setDefaultUriVariables(java.util.Map<java.lang.String, ?>)` properties that should be relevant regardless of the URI template expand and encode mechanism used in sub-classes.

  Since:
    4.3
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUriTemplateHandler()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `expand(String uriTemplate, Map<String,?> uriVariables)` Deprecated. Expand the given URI template with a map of URI variables.
    `URI` | `expand(String uriTemplate, Object... uriVariables)` Deprecated. Expand the given URI template with an array of URI variables.
    `protected abstract URI` | `expandInternal(String uriTemplate, Map<String,?> uriVariables)` Deprecated. Actually expand and encode the URI template.
    `protected abstract URI` | `expandInternal(String uriTemplate, Object... uriVariables)` Deprecated. Actually expand and encode the URI template.
    `String` | `getBaseUrl()` Deprecated. Return the configured base URL.
    `Map<String,?>` | `getDefaultUriVariables()` Deprecated. Return a read-only copy of the configured default URI variables.
    `void` | `setBaseUrl(String baseUrl)` Deprecated. Configure a base URL to prepend URI templates with.
    `void` | `setDefaultUriVariables(Map<String,?> defaultUriVariables)` Deprecated. Configure default URI variable values to use with every expanded URI template.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractUriTemplateHandler

          public AbstractUriTemplateHandler()

      Deprecated.

  - ### Method Detail

    - #### setBaseUrl

          public void setBaseUrl(@Nullable
                                 String baseUrl)

      Deprecated.
      Configure a base URL to prepend URI templates with. The base URL must have a scheme and host but may optionally contain a port and a path. The base URL must be fully expanded and encoded which can be done via `UriComponentsBuilder`.
      Parameters:
        `baseUrl` - the base URL.

    - #### getBaseUrl

          @Nullable
          public String getBaseUrl()

      Deprecated.
      Return the configured base URL.

    - #### setDefaultUriVariables

          public void setDefaultUriVariables(@Nullable
                                             Map<String,?> defaultUriVariables)

      Deprecated.
      Configure default URI variable values to use with every expanded URI template. These default values apply only when expanding with a Map, and not with an array, where the Map supplied to `expand(String, Map)` can override the default values.
      Parameters:
        `defaultUriVariables` - the default URI variable values
      Since:
        4.3

    - #### getDefaultUriVariables

          public Map<String,?> getDefaultUriVariables()

      Deprecated.
      Return a read-only copy of the configured default URI variables.

    - #### expand

          public URI expand(String uriTemplate,
                            Map<String,?> uriVariables)

      Deprecated.
      Description copied from interface: `UriTemplateHandler`
      Expand the given URI template with a map of URI variables.
      Specified by:
        `expand` in interface `UriTemplateHandler`
      Parameters:
        `uriTemplate` - the URI template
        `uriVariables` - variable values
      Returns:
        the created URI instance

    - #### expand

          public URI expand(String uriTemplate,
                            Object... uriVariables)

      Deprecated.
      Description copied from interface: `UriTemplateHandler`
      Expand the given URI template with an array of URI variables.
      Specified by:
        `expand` in interface `UriTemplateHandler`
      Parameters:
        `uriTemplate` - the URI template
        `uriVariables` - variable values
      Returns:
        the created URI instance

    - #### expandInternal

          protected abstract URI expandInternal(String uriTemplate,
                                                Map<String,?> uriVariables)

      Deprecated.
      Actually expand and encode the URI template.

    - #### expandInternal

          protected abstract URI expandInternal(String uriTemplate,
                                                Object... uriVariables)

      Deprecated.
      Actually expand and encode the URI template.